package com.gyee.edge.loader.data;



import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;



@Data
@AllArgsConstructor
@NoArgsConstructor
public class TsPointData  {

    private String tagName;
    private GeneralTsData tsData;

    public TsDataType findDataType() {
        if (tsData.getDoubleValue() != null) {
            return TsDataType.DOUBLE;
        } else if (tsData.getBooleanValue() != null) {
            return TsDataType.BOOLEAN;
        } else if (tsData.getLongValue() != null) {
            return TsDataType.LONG;
        } else if (tsData.getStringValue() != null) {
            return TsDataType.STRING;
        } else if (tsData.getBlobValue() != null) {
            return TsDataType.BLOB;
        } else if (tsData.getCoordinateValue() != null) {
            return TsDataType.COORDINATE;
        } else if (tsData.getFloatValue() != null) {
            return TsDataType.FLOAT;
        } else {
            return TsDataType.DOUBLE;

        }

    }
}

